%define section		devel
%define fullname	mysql-connector-java
%define gcj_support	0

Summary:	JDBC driver for MySQL
Name:		mysql-jdbc
Version:	3.1.14
Release:	2jpp.el4s1.1
Epoch:		0
License:	GPL
Group:		Applications/Databases
URL:		http://www.mysql.com/products/connector-j/

Source0:	%{fullname}-%{version}.tar.gz

%if %{gcj_support}
%else
BuildArch:	noarch
%endif
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant >= 0:1.6.2
BuildRequires:  ant-junit >= 0:1.6.2
BuildRequires:  junit >= 0:3.7
BuildRequires:	java-1.4.2-bea,java-1.4.2-bea-devel
%if %{gcj_support}
BuildRequires:	gcc-java
Requires(post): java-1.4.2-gcj-compat
Requires(postun): java-1.4.2-gcj-compat
%endif
BuildRequires:	jakarta-commons-logging

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
MySQL Connector/J is an implementation of the JDBC API for the MySQL
relational database server.

%package tomcat
Summary:	MySQL JDBC driver for Tomcat
Group:		Applications/Databases
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	tomcat

%description tomcat
The mysql-jdbc-tomcat package makes the MySQL JDBC driver available to
the Tomcat Java Servlet container.

%prep
%setup -c -q
mv -f %{fullname}-%{version}/* .
rmdir %{fullname}-%{version}
# directory omitted from MySQL tarball, but build fails without it:
mkdir src/lib-nodist
# this test depends on sun.applet.AppletSecurity, which we don't have:
rm -f src/testsuite/regression/AppletRegressionTest.java

# remove any binary libs
find -name "*.jar" -or -name "*.class" | xargs rm -f

%build
export OPT_JAR_LIST="ant/ant-junit junit"
export CLASSPATH="%{_javadir}/jakarta-commons-logging-api.jar"
ant

%install
rm -rf ${RPM_BUILD_ROOT}

install -d ${RPM_BUILD_ROOT}%{_javadir}
# Per jpp conventions, jars have version-numbered names and we add
# versionless symlinks.
install -m 644 \
    build/%{fullname}-%{version}/%{fullname}-%{version}-bin.jar \
    ${RPM_BUILD_ROOT}%{_javadir}/%{name}-%{version}.jar

pushd $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{version}.jar %{name}.jar
popd

install -d ${RPM_BUILD_ROOT}%{_datadir}/tomcat/common/lib
ln -s ../../../java/%{name}-%{version}.jar \
    ${RPM_BUILD_ROOT}%{_datadir}/tomcat/common/lib/%{name}.jar

%if %{gcj_support}
aot-compile-rpm
%endif

%clean
rm -rf ${RPM_BUILD_ROOT}

%if %{gcj_support}

%post
/usr/bin/rebuild-gcj-db

%postun
/usr/bin/rebuild-gcj-db

%endif

%files
%defattr(-,root,root)
%doc CHANGES COPYING EXCEPTIONS-CONNECTOR-J README docs/connector-j.html
%{_javadir}/*
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/*.jar.so
%{_libdir}/gcj/%{name}/*.jar.db
%endif

%files tomcat
%defattr(-,root,root)
%{_datadir}/tomcat/common/lib/*.jar

%changelog
* Tue Jun 12 2007 Tom Lane <tgl@redhat.com> 3.1.14-2jpp.el4s1.1
- Update to 3.1.14.

* Thu Dec 07 2006 Deepak Bhole <dbhole@redhat.com> 3.1.12-1jpp.el4s1.6
- Set jvm BuildRequires to java-1.4.2-bea{,-devel}

* Wed Dec  6 2006 Tom Lane <tgl@redhat.com> 3.1.12-1jpp.el4s1.5
- Fix BuildRequires to select a specific JVM (needed for Stacks only).

* Thu Sep 28 2006 Tom Lane <tgl@redhat.com> 3.1.12-1jpp.el4s1.4
- Rebuild to verify building in brew

* Mon Jul 24 2006 Tom Lane <tgl@redhat.com> 3.1.12-1jpp.el4s1.3
- rebuild in dist-4E-stack-lamp-v1

* Thu Mar  2 2006 Tom Lane <tgl@redhat.com> 3.1.12-1jpp.el4s1.2
- Stacks version should not use gcj, at least for now.

* Thu Feb 16 2006 Tom Lane <tgl@redhat.com> 3.1.12-1jpp.el4s1.1
- rebuild in Stacks branch

* Thu Feb 16 2006 Tom Lane <tgl@redhat.com> 3.1.12-1jpp
- Update to 3.1.12.
- Add support for gcj compilation.

* Tue Feb 24 2004 Gary Benson <gbenson@redhat.com> 3.0.8-2
- Rebuild for Fedora.

* Fri Sep 12 2003 Gary Benson <gbenson@redhat.com> 3.0.8-1
- Initial revision.
